/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.transfer;

import com.google.gson.Gson;



public class TransferFiletransferConfig {

  private String pseudoid;
  private int port;
  private Starttype starttype;
  private String downloadDir;
  private String uploadDir;

  public String getPseudoid() {
    return pseudoid;
  }



  public void setPseudoid(String uid) {
    this.pseudoid = uid;
  }



  public int getPort() {
    return port;
  }



  public void setPort(int port) {
    this.port = port;
  }



  @Override
  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }



  public Starttype getStarttype() {
    return starttype;
  }



  public void setStarttype(Starttype starttype) {
    this.starttype = starttype;
  }



  public String getDownloadDir() {
    return downloadDir;
  }



  public void setDownloadDir(String downloadDir) {
    this.downloadDir = downloadDir;
  }



  public String getUploadDir() {
    return uploadDir;
  }



  public void setUploadDir(String uploadDir) {
    this.uploadDir = uploadDir;
  }
}
